Bug 20281 - Contact geometry should be in CSS pixels not device pixels
Summary: Contact geometry should be in CSS pixels not device pixels
Status: RESOLVED FIXED
Alias: None
Product: PointerEventsWG
Classification: Unclassified
Component: Pointer Events specification (show other bugs)
Version: unspecified
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Jacob Rossi [MSFT]
QA Contact: Pointer Events Bugzilla list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-07 02:53 UTC by Jacob Rossi [MSFT]
Modified: 2012-12-14 23:44 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jacob Rossi [MSFT] 2012-12-07 02:53:48 UTC
Issue 1

Physical screen pixels may be ineffective. For example, the physical size of the contact cannot be surmised due to varying pixel densities of devices (which are not always reported by the user agent). Further, it is generally impossible or difficult to correlate this back to CSS pixels in the document (which often are not at a fixed ratio to screen pixels due to zoom).

I think the starting point should be that you can use the API to infer whether a contact overlaps a particular element's bounding box. With device pixels, this is difficult or impossible.
Comment 1 Jacob Rossi [MSFT] 2012-12-07 20:36:09 UTC
Per 12/4 telecon resolution, making this change as suggested.
http://lists.w3.org/Archives/Public/public-pointer-events/2012OctDec/0091.html
http://dvcs.w3.org/hg/pointerevents/rev/f2084982c980
Comment 2 Jacob Rossi [MSFT] 2012-12-09 19:33:14 UTC
Resolved the wrong bug.
Comment 3 Jacob Rossi [MSFT] 2012-12-14 23:44:37 UTC
Per 12/11 telecon resolution, fixing as suggested.

RESOLUTION: http://www.w3.org/2012/12/11-pointerevents-minutes.html